#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,k,m,br=0;
    cin>>n>>k;
    int a[2*n+2];
    for(int i=0;i<=2*n;i++){
        a[i]=0;
    }
    for(int i=0;i<n;i++){
        cin>>m;
        m+=n;
        a[m]++;
    }
    for(int i=0;i<=2*n;i++){
        if(a[i]>=k){
                br++;
        }
    }
    cout<<br<<endl;
    for(int i=0;i<=2*n;i++){
        if(a[i]>=k){
                cout<<i-n<<" ";
        }
    }
    return 0;
}